function x = masodfoku(a,b,c)
% Az a*x^2+b*x+c=0 egyenlet megoldsa
% input: a,b,c
    f = @(x) a*x.^2+b*x+c;
    figure; fplot(f); 
    D = b^2-4*a*c; % diszkriminns
    if D>0
        disp('Az egyenletnek 2 megoldsa van')
        x(1) = (-b+sqrt(D))/(2*a);
        x(2) = (-b-sqrt(D))/(2*a);
        hold on; plot(x,[0,0],'r*')
    elseif D==0
        disp('Az egyenletnek csak 1 megoldsa van')
        x = -b/(2*a);
        hold on; plot(x,0,'r*')
    else
        disp('Az egyenletnek nincs megoldsa')
        x = [];
    end
end
